CREATE DATABASE  IF NOT EXISTS `sismedb` /*!40100 DEFAULT CHARACTER SET utf8 */;
USE `sismedb`;
-- MySQL dump 10.13  Distrib 5.5.33, for Linux (i686)
--
-- Host: 192.168.1.129    Database: sismedb
-- ------------------------------------------------------
-- Server version	5.5.37-0+wheezy1

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `mostres`
--

DROP TABLE IF EXISTS `mostres`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `mostres` (
  `idmostra` bigint(20) NOT NULL AUTO_INCREMENT,
  `idmoviment` bigint(20) NOT NULL,
  `tstamp` bigint(20) NOT NULL,
  `coordx` float NOT NULL,
  `coordy` float NOT NULL,
  `coordz` float NOT NULL,
  PRIMARY KEY (`idmostra`),
  KEY `PK_MOSTRES` (`idmoviment`,`idmostra`),
  KEY `FK_MOSTRES_MOVIMENTS` (`idmoviment`),
  CONSTRAINT `FK_MOSTRES_MOVIMENTS` FOREIGN KEY (`idmoviment`) REFERENCES `moviments` (`idmoviment`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `mostres`
--

LOCK TABLES `mostres` WRITE;
/*!40000 ALTER TABLE `mostres` DISABLE KEYS */;
/*!40000 ALTER TABLE `mostres` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `moviments`
--

DROP TABLE IF EXISTS `moviments`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `moviments` (
  `idmoviment` bigint(20) NOT NULL AUTO_INCREMENT,
  `datahora` datetime DEFAULT NULL,
  `latitud` double DEFAULT NULL,
  `longitud` double DEFAULT NULL,
  `ocult` bit(1) NOT NULL,
  `anulat` bit(1) NOT NULL,
  `idmagnitud` int(11) NOT NULL,
  `intensitat` float DEFAULT NULL,
  PRIMARY KEY (`idmoviment`),
  KEY `FK_MOVIMENT_MAGNITUD` (`idmagnitud`),
  CONSTRAINT `FK_MOVIMENT_MAGNITUD` FOREIGN KEY (`idmagnitud`) REFERENCES `magnituds` (`idmagnitud`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Sismes detectats pels terminals';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `moviments`
--

LOCK TABLES `moviments` WRITE;
/*!40000 ALTER TABLE `moviments` DISABLE KEYS */;
/*!40000 ALTER TABLE `moviments` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `magnituds`
--

DROP TABLE IF EXISTS `magnituds`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `magnituds` (
  `idmagnitud` int(11) NOT NULL AUTO_INCREMENT,
  `idescala` int(11) NOT NULL,
  `magnitudminima` float DEFAULT NULL,
  `magnitudmaxima` float DEFAULT NULL,
  `descripcio` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`idmagnitud`),
  KEY `FK_MAGNITUD_ESCALA` (`idescala`),
  CONSTRAINT `FK_MAGNITUD_ESCALA` FOREIGN KEY (`idescala`) REFERENCES `escales` (`idescala`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=12 DEFAULT CHARSET=utf8 COMMENT='Magnitud dels sismes';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `magnituds`
--

LOCK TABLES `magnituds` WRITE;
/*!40000 ALTER TABLE `magnituds` DISABLE KEYS */;
INSERT INTO `magnituds` VALUES (1,1,-999.99,0.005,'Molt Dèbil'),(2,1,0.005,0.025,'Dèbil'),(3,1,0.025,0.06,'Lleu'),(4,1,0.06,0.1,'Moderat'),(5,1,0.1,0.2,'Poc fort'),(6,1,0.2,0.35,'Fort'),(7,1,0.35,0.6,'Molt fort'),(8,1,0.6,1,'Destructiu'),(9,1,1,2.5,'Ruïnós'),(10,1,2.5,5,'Desastrós'),(11,1,5,999,'Molt desastrós o Catastròfic');
/*!40000 ALTER TABLE `magnituds` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `escales`
--

DROP TABLE IF EXISTS `escales`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `escales` (
  `idescala` int(11) NOT NULL AUTO_INCREMENT,
  `nom` varchar(45) NOT NULL,
  PRIMARY KEY (`idescala`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `escales`
--

LOCK TABLES `escales` WRITE;
/*!40000 ALTER TABLE `escales` DISABLE KEYS */;
INSERT INTO `escales` VALUES (1,'Mercalli Modificada');
/*!40000 ALTER TABLE `escales` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2014-06-08 15:45:34
