/**
 *  SISTEMA DE DETECCIO DE MOVIMENTS SISMICS PER A DISPOSITIUS MOBILS                                                                                      *
 *  Treball final de Master en Programari Lliure (UOC) 
 *  (C) Copyright 2014 Jaime Anton Lopez Diaz (jlopezdia@uoc.edu)
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */


package com.sisme.entitats;

import java.util.HashSet;
import java.util.Set;
import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.persistence.Table;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;

@Entity
@Table(name = "magnituds")
public class Magnitud implements java.io.Serializable {


	/**
	 * 
	 */
	private static final long serialVersionUID = 8523558872514620425L;
	private Integer idMagnitud;
	private Escala escala;
	private float magnitudMinima;
	private float magnitudMaxima;
	private String descripcio;
	private Set<Moviment> moviments = new HashSet<Moviment>(0);


	public Magnitud() {
		this.escala = new Escala();
	}

	public Magnitud(Integer idMagnitud, Escala escala, float magnitudMinima, float magnitudMaxima, 
			String descripcio, Set<Moviment> moviments) {
		this.idMagnitud = idMagnitud;
		this.escala = escala;
		this.setMagnitudMinima(magnitudMinima);
		this.setMagnitudMaxima(magnitudMaxima);
		this.setDescripcio(descripcio);
		this.moviments = moviments;
	}

	@Id
	@GeneratedValue(strategy=GenerationType.IDENTITY)
	@Column(name = "idmagnitud", unique = true, nullable = false)
	public Integer getIdMagnitud() {
		return this.idMagnitud;
	}


	public void setIdMagnitud(Integer idMagnitud) {
		this.idMagnitud = idMagnitud;
	}


	@ManyToOne(fetch = FetchType.EAGER)
	@JoinColumn(name = "idescala", nullable = false)
	public Escala getEscala() {
		return this.escala;
	}


	public void setEscala(Escala escala) {
		this.escala = escala;
	}


	public float getMagnitudMinima() {
		return magnitudMinima;
	}

	public void setMagnitudMinima(float magnitudMinima) {
		this.magnitudMinima = magnitudMinima;
	}

	public float getMagnitudMaxima() {
		return magnitudMaxima;
	}

	public void setMagnitudMaxima(float magnitudMaxima) {
		this.magnitudMaxima = magnitudMaxima;
	}

	public String getDescripcio() {
		return descripcio;
	}

	public void setDescripcio(String descripcio) {
		this.descripcio = descripcio;
	}
	
	@OneToMany(cascade = CascadeType.ALL, fetch = FetchType.EAGER, mappedBy = "magnitud")
	public Set<Moviment> getMoviments() {
		return this.moviments;
	}

	public void setMoviments(Set<Moviment> moviments) {
		this.moviments = moviments;
	}
	

}