/**
 *  SISTEMA DE DETECCIO DE MOVIMENTS SISMICS PER A DISPOSITIUS MOBILS                                                                                      *
 *  Treball final de Master en Programari Lliure (UOC) 
 *  (C) Copyright 2014 Jaime Anton Lopez Diaz (jlopezdia@uoc.edu)
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */


/******************************************************************************************
 * Classe: SismeLog
 * 
 * Classe que afegeix entrades al log del sistema
 ******************************************************************************************/
package com.sisme.generic;

import java.io.Serializable;
import java.util.logging.Level;
import java.util.logging.Logger;

public class SismeLog implements Serializable {

	/*-------------------------------------------------------------------------------------------
	 * Atributs
	 *-------------------------------------------------------------------------------------------*/
	private static final long serialVersionUID = 1L;
	private static final Logger logger;
	
	/*-------------------------------------------------------------------------------------------
	 * Metodes
	 *-------------------------------------------------------------------------------------------*/

	static {
		logger = Logger.getLogger("Sisme: ");
		logger.setLevel(Level.SEVERE);
	}

    public static Logger getLogger() {
    	return Logger.getLogger("");
    }
    
	public static void addLog(String missatgeLog) {
		logger.setLevel(Level.SEVERE);
		logger.log(Level.SEVERE, missatgeLog);
    }
    
}
