/**
 *  SISTEMA DE DETECCIO DE MOVIMENTS SISMICS PER A DISPOSITIUS MOBILS                                                                                      *
 *  Treball final de Master en Programari Lliure (UOC) 
 *  (C) Copyright 2014 Jaime Anton Lopez Diaz (jlopezdia@uoc.edu)
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */


/******************************************************************************************
 * Classe: MagnitudService
 * 
 * Servei per accedir a MagnitudServiceBean de forma remota
 ******************************************************************************************/
package com.sisme.interficies;

import java.util.List;
import javax.ejb.Remote;
import com.sisme.entitats.Magnitud;
import com.sisme.generic.SismeException;

@Remote
public interface MagnitudService {

	/*-------------------------------------------------------------------------------------------
	 * Metodes
	 *-------------------------------------------------------------------------------------------*/
	
	// Desa la nova magnitud a la base de dades i el retorna amb el idMagnitud assignat automaticament
	public Magnitud desar(Magnitud magnitud) throws SismeException;
	
	// Elimina la magnitud a la base de dades
	public void eliminar(Magnitud magnitud) throws SismeException;
	
	// Actualitza la magnitud a la base de dades
	public Magnitud actualitzar(Magnitud magnitud) throws SismeException;
	
	// Recerca una magnitud a la base de dades a partir del IdMagnitud
	public Magnitud cercaIdMagnitud(long idMagnitud) throws SismeException;

	// Recerca una magnitud a la base de dades a partir de la intensitat 
	public Magnitud cercaMagnitudPerIntensitat(float intensitat) throws SismeException;
	
	// Retorna una llista de totes les magnituds per IdMagnitud
	public List<Magnitud> llistaIdMagnituds(String ascDesc) throws SismeException;
	
	
}

