/**
 *  SISTEMA DE DETECCIO DE MOVIMENTS SISMICS PER A DISPOSITIUS MOBILS                                                                                      *
 *  Treball final de Master en Programari Lliure (UOC) 
 *  (C) Copyright 2014 Jaime Anton Lopez Diaz (jlopezdia@uoc.edu)
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */


/******************************************************************************************
 * Classe: MostraService
 * 
 * Servei per accedir a MostraServiceBean de forma remota
 ******************************************************************************************/
package com.sisme.interficies;

import java.util.List;
import javax.ejb.Remote;
import com.sisme.entitats.Mostra;
import com.sisme.generic.SismeException;

@Remote
public interface MostraService {

	/*-------------------------------------------------------------------------------------------
	 * Metodes
	 *-------------------------------------------------------------------------------------------*/
	
	// Desa la nova Mostra a la base de dades i el retorna amb el id assignat automaticament
	public Mostra desar(Mostra Mostra) throws SismeException;
	
	// Elimina el Mostra a la base de dades
	public void eliminar(Mostra Mostra) throws SismeException;
	
	// Actualitza el Mostra a la base de dades
	public Mostra actualitzar(Mostra Mostra) throws SismeException;
	
	// Recerca un Mostra a la base de dades a partir del Id
	public Mostra cercaIdMostra(long idMostra) throws SismeException;
	
	// Retorna una llista de tots els Mostras per Id
	public List<Mostra> llistaMostresMoviment(long idMoviment, String ascDesc) throws SismeException;
	
}
