/**
 *  SISTEMA DE DETECCIO DE MOVIMENTS SISMICS PER A DISPOSITIUS MOBILS                                                                                      *
 *  Treball final de Master en Programari Lliure (UOC) 
 *  (C) Copyright 2014 Jaime Anton Lopez Diaz (jlopezdia@uoc.edu)
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */


/******************************************************************************************
 * Classe: MovimentService
 * 
 * Servei per accedir a MovimentServiceBean de forma remota
 ******************************************************************************************/
package com.sisme.interficies;

import java.util.Date;
import java.util.List;
import javax.ejb.Remote;
import com.sisme.entitats.Moviment;
import com.sisme.generic.SismeException;

@Remote
public interface MovimentService {

	/*-------------------------------------------------------------------------------------------
	 * Metodes
	 *-------------------------------------------------------------------------------------------*/
	
	// Desa el nou moviment a la base de dades i el retorna amb el id assignat automaticament
	public Moviment desar(Moviment moviment) throws SismeException;
	
	// Elimina el moviment a la base de dades
	public void eliminar(Moviment moviment) throws SismeException;
	
	// Actualitza el moviment a la base de dades
	public Moviment actualitzar(Moviment moviment) throws SismeException;
	
	// Recerca un moviment a la base de dades a partir del Id
	public Moviment cercaIdMoviment(long idMoviment) throws SismeException;
	
	// Retorna una llista de tots els moviments per Id
	public List<Moviment> llistaIdMoviments(String ascDesc) throws SismeException;
	
	// Retorna una llista de tots els moviments per Id segons els parametres de recerca
	public List<Moviment> recercaMoviments(String ascDesc, Date dataInici, Date dataFinal, float intensitatInicial, float intensitatFinal) throws SismeException;

}
