/**
 *  SISTEMA DE DETECCIO DE MOVIMENTS SISMICS PER A DISPOSITIUS MOBILS                                                                                      *
 *  Treball final de Master en Programari Lliure (UOC) 
 *  (C) Copyright 2014 Jaime Anton Lopez Diaz (jlopezdia@uoc.edu)
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */


/**
 * ConsultaEnLiniaBean.java
 * Bean per gestionar la pagina de consulta en linia
 */

package com.sisme.webclient.managedbeans;

import java.util.ArrayList;
import java.util.List;
import javax.naming.InitialContext;
import javax.naming.NamingException;
import com.sisme.entitats.Magnitud;
import com.sisme.entitats.Moviment;
import com.sisme.generic.SismeException;
import com.sisme.interficies.MagnitudService;
import com.sisme.interficies.MovimentService;


public class ConsultaEnLiniaBean
{

	private MovimentService ms = null;
	private MagnitudService gs = null;
	private Magnitud mag = new Magnitud();
	private List<Moviment> llm = new ArrayList<Moviment>();
	private boolean connexioActiva = false;
	private String url = null;
	private boolean llmVisible = false;

    /**
     * Constructor
     */
	public ConsultaEnLiniaBean() {
		if(connexioActiva==false) {
			try {
				InitialContext ctx = new InitialContext();
				this.ms = (MovimentService) ctx.lookup("java:app/SismeServerEJB/MovimentServiceBean");
				System.out.println("ConsultaEnLiniaBean connectat");
				connexioActiva=true;
			} catch (NamingException e) {
				e.printStackTrace();
			}
		}
			
	}
	
	
	
	
	// Retorna la llista de moviments per Id
	public Moviment[] getMovIdList() {
		try {
			this.llm = this.ms.llistaIdMoviments("ascendent");
			
			this.setUrl("SismeWebMapOnLine");
			if(this.llm.size()>0)
			{
				this.setLlmVisible(true);
			}else{
				this.setLlmVisible(false);
			}
			
		} catch (SismeException e) {
			e.printStackTrace();
		}
		return llm.toArray(new Moviment[llm.size()]);

	}
	
	/**
	 * Getters i setters
	 */
	
	public String getUrl() {
		return url;
	}

	public void setUrl(String url) {
		this.url = url;
	}

	public boolean isLlmVisible() {
		return llmVisible;
	}

	public void setLlmVisible(boolean llmVisible) {
		this.llmVisible = llmVisible;
	}

	public MagnitudService getGs() {
		return gs;
	}

	public void setGs(MagnitudService gs) {
		this.gs = gs;
	}

	public Magnitud getMag() {
		return mag;
	}

	public void setMag(Magnitud mag) {
		this.mag = mag;
	}
	

}
