/**
 *  SISTEMA DE DETECCIO DE MOVIMENTS SISMICS PER A DISPOSITIUS MOBILS                                                                                      *
 *  Treball final de Master en Programari Lliure (UOC) 
 *  (C) Copyright 2014 Jaime Anton Lopez Diaz (jlopezdia@uoc.edu)
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

/******************************************************************************************
 * Classe: ConsultaEstatSistemaBean
 * 
 * Bean per gestionar la pagina de consulta d'estat del sistema
 ******************************************************************************************/

package com.sisme.webclient.managedbeans;

import java.util.ArrayList;
import java.util.List;
import javax.naming.InitialContext;
import javax.naming.NamingException;
import com.sisme.entitats.Magnitud;
import com.sisme.entitats.Moviment;
import com.sisme.generic.SismeException;
import com.sisme.interficies.MagnitudService;
import com.sisme.interficies.MovimentService;

public class ConsultaEstatSistemaBean
{

	private MovimentService ms = null;
	private MagnitudService gs = null;
	private List<Moviment> llm = new ArrayList<Moviment>();
	private boolean connexioActiva = false;
	Magnitud mag = new Magnitud();


    /**
     * Constructor
     */
	public ConsultaEstatSistemaBean() throws SismeException {
		if(connexioActiva==false) {
			try {
				InitialContext ctx = new InitialContext();
				this.ms = (MovimentService) ctx.lookup("java:app/SismeServerEJB/MovimentServiceBean");
				this.gs = (MagnitudService) ctx.lookup("java:app/SismeServerEJB/MagnitudServiceBean");
				this.mag = this.gs.cercaMagnitudPerIntensitat(9.8F);
				System.out.println("ConsultaEstatSistemaBean connectat");
				connexioActiva=true;
			} catch (NamingException e) {
				e.printStackTrace();
			}
		}
	}

	// Retorna llista de moviments (previst adaptar per retornar dades estadistiques)
	public Moviment[] getMovResum() {
		try {
			this.llm = this.ms.llistaIdMoviments("ascendent");
		} catch (SismeException e) {
			e.printStackTrace();
		}
		return llm.toArray(new Moviment[llm.size()]);

	}

}
