/**
 *  SISTEMA DE DETECCIO DE MOVIMENTS SISMICS PER A DISPOSITIUS MOBILS                                                                                      *
 *  Treball final de Master en Programari Lliure (UOC) 
 *  (C) Copyright 2014 Jaime Anton Lopez Diaz (jlopezdia@uoc.edu)
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * Definicio de les constants
 */

/*--------------------------------------------------------------------------------------
 * magnitud.js
 *--------------------------------------------------------------------------------------*/
var MAG_DEF = 0.0;	// Magnitud per defecte
var MOSTREIG_FILTRE = 1.5;	// Nivell minim de les mostres a capturar

var GRAFICA_ALT = 100;	// Alçada de la grafica
var GRAFICA_AMPLE = window.innerWidth-50;	// Amplada de la grafica
var GRAFICA_ALT_ZOOM = 10;	// Zoom valors x,y,z a representar a la grafica
var GRAFICA_AMP_ZOOM = 0.1;	// Zoom valor t a representar a la grafica
var GRAFICA_MS_ACTUALITZACIO = 1000;	// Temps de refresc de la grafica (obsolet)
var FREQUENCIA_MOSTREIG = 20;	// Frequencia de mostreig en Hertzs

var TEST_MS_ACCELEROMETRE = 3000;	// Duracio del temps de test de l'accelerometre

var MOSTRES_FALS_POSITIU = 5;	// Si no hi ha mes de n mostres es considera fals positiu
var INTENSITAT_MAX_FALS_POSITIU = 0.015;  // Si la intensitat calculada es igual o menor, es considera fals positiu

/*--------------------------------------------------------------------------------------
 * geolocalitzacio.js
 *--------------------------------------------------------------------------------------*/
var GL_TEMPS_MS_EXECUCIO = 18000000;	// Temps que tindrem el geolocalitzador actiu
var GL_TIMEOUT = 20000;	// Timeout del geolocalitzador
var GL_ALTA_PRECISSIO = true;	// Indicador de si volem alta precissio en el posicionament
var GL_DEF_LATITUD = 0.0;	// Latitud per defecte
var GL_DEF_LONGITUD = 0.0;	// Longitud per defecte


/*--------------------------------------------------------------------------------------
 * sistema.js
 *--------------------------------------------------------------------------------------*/
var SRV_NOM = "";
var SRV_URL = "http://192.168.1.129/SismeServerEJB/SismeRcvDataService/SismeRcvDataServiceBean";
var SRV_WS_NOM = "/rcvData";
var SRV_WS_NS = "http://serveis.ws.sisme.com/";
var ENV_TEMPS_MS_EXECUCIO = 15000;



/*--------------------------------------------------------------------------------------
 * sisme.js
 *--------------------------------------------------------------------------------------*/
var ENV_TIPUS_TEST     = "T";
var ENV_TIPUS_PENDENT  = "P";
var ENV_TIPUS_REENVIAR = "R";
var ENV_TIPUS_EN_CURS  = "C";
var ESTAT_INDETERMINAT = 0;
var ESTAT_CORRECTE     = 1;
var ESTAT_ERROR        = 2;
var TEMPS_MS_DETECCIO_ENVIAMENT = 10000;







