/**
 *  SISTEMA DE DETECCIO DE MOVIMENTS SISMICS PER A DISPOSITIUS MOBILS                                                                                      *
 *  Treball final de Master en Programari Lliure (UOC) 
 *  (C) Copyright 2014 Jaime Anton Lopez Diaz (jlopezdia@uoc.edu)
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

/*---------------------------------------------------------------------------------------- 
 * Classe Geolocalitzacio: defineix una localitzacio i les seves coordenades
 * 
 *----------------------------------------------------------------------------------------*/
function Geolocalitzacio() {

	// Atributs
	this.latitud = GL_DEF_LATITUD;
	this.longitud = GL_DEF_LONGITUD;
	this.estat = ESTAT_INDETERMINAT;
	

	// Metodes

   
	// Getter
	this.getLatitud = function() {
		return this.latitud;
	};
	
	// Getter
	this.getLongitud = function() {
		return this.longitud;
	};

	// Getter
	this.getEstat = function() {
		return this.estat;
	};

	
	// Setter
	this.setLatitud = function(lat) {
		this.latitud = lat;
	};
	
	// Setter
	this.setLongitud = function(long) {
		this.longitud = long;
	};
	
	// Setter
	this.setEstat = function(estat) {
		this.estat = estat;
	};
	
}



/*---------------------------------------------------------------------------------------- 
 * Classe GestorLocalitzador: Gestiona el localitzador
 *----------------------------------------------------------------------------------------*/
function GestorGeoLocalitzacio() {

	// Atributs
	this.localitzacioActual = new Geolocalitzacio();
	this.localitzacioActual.setEstat(ESTAT_INDETERMINAT);
	
	
	// Metodes
	
    /*
     * Verifica si el dispositiu esta preparat
     */
	this.engegarGeolocalitzador = function() {
    	// Cada 30 segons es verifica si s'ha rebut algun canvi en la posicio
    	// i si no n'hi cap emet un error
		var idEventGeolocalitzacio = navigator.geolocation.watchPosition( 
				
				function(posicioActual) {
			    	
					window.gGeolocalitzador.getLocalitzacioActual().setEstat(ESTAT_CORRECTE);
			        var geoHtml = document.getElementById('posicioActual_sts');
			        geoHtml.src = "./img/icona_correcte.png";

			    	var consis = document.getElementById('posicioActual_sis');
			    	consis.innerHTML = 	'Latitud: '  + posicioActual.coords.latitude      + '<br />' +
			                        	'Longitud: ' + posicioActual.coords.longitude     + '<br />';
			    	
			        // Per a una bona geolocalitzacio, amb 5 decimals n'hi ha prou. Fem servir 8 digits (enters+decimals)
			        var la  = new Number(posicioActual.coords.latitude);
			        var lo  = new Number(posicioActual.coords.longitude);
			        window.gGeolocalitzador.setLocalitzacioActual(la.toPrecision(8), lo.toPrecision(8));
			    }
				
				, 
				
				function(errPos) {
					window.gGeolocalitzador.getLocalitzacioActual().setEstat(ESTAT_ERROR);
			    	var consts = document.getElementById('posicioActual_sts');
			    	consts.src = "./img/icona_incorrecte.png";
			    	
			    	var consis = document.getElementById('posicioActual_sis');
			    	consis.innerHTML = "ERROR ";

			        window.gGeolocalitzador.setLocalitzacioActual(GL_DEF_LATITUD, GL_DEF_LONGITUD);
				}
				
			    ,
			    
				{ maximumAge: GL_TEMPS_MS_EXECUCIO, timeout: GL_TIMEOUT, enableHighAccuracy: GL_ALTA_PRECISSIO });
	};
	
	/**
	 * Getters i setters
	 */
 	this.getLocalitzacioActual = function() {
 		return this.localitzacioActual;
 	};
 	
 	
 	this.setLocalitzacioActual = function(latitud, longitud) {
 		this.getLocalitzacioActual().setLatitud(latitud);
 		this.getLocalitzacioActual().setLongitud(longitud);
 	};

}
