/**
 *  SISTEMA DE DETECCIO DE MOVIMENTS SISMICS PER A DISPOSITIUS MOBILS                                                                                      *
 *  Treball final de Master en Programari Lliure (UOC) 
 *  (C) Copyright 2014 Jaime Anton Lopez Diaz (jlopezdia@uoc.edu)
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */


function Sistema() {
	
 	// Atributs indicadors test inicial del sistema
 	this.hiHaInternet_err = ESTAT_INDETERMINAT;
 	

 	// Metodes getters i setters Test inicial del sistema
 	this.getHiHaInternetErr = function() {
 		return this.hiHaInternet_err;
 	};
 	
 	this.setHiHaInternetErr = function(ind) {
 		this.hiHaInternet_err = ind;
 	};
 	
 	// Retorna el tipus de connexio a Internet que esta actiu en el mobil
 	this.obtenirConnectivitat = function()
    {
        var stsCon = {};
        stsCon[Connection.UNKNOWN]  = 'UNKNOWN';
        stsCon[Connection.ETHERNET] = 'ETHERNET';
        stsCon[Connection.WIFI]     = 'WIFI';
        stsCon[Connection.CELL_2G]  = '2G';
        stsCon[Connection.CELL_3G]  = '3G';
        stsCon[Connection.CELL_4G]  = '4G';
        stsCon[Connection.NONE]     = 'NONE';
        var consts = document.getElementById('connectivitat_sis');
    	consts.innerHTML =	stsCon[navigator.network.connection.type];
	    return stsCon[navigator.network.connection.type];
    };

    // Obte el model, sistema operatiu i versio del dispositiu mobil
    this.obtenirModelDispositiu = function()
    {
        var consts = document.getElementById('infoDispositiu_sis');
    	consts.innerHTML =	'Model: ' + device.model     + '<br />' + 
        					'S.O.: ' + device.platform + '<br />' + 
        					'Versi&oacute: '  + device.version  + '<br />';
    };

    // Retorna l'estat de la connexio a Internet
    this.obtenirEstatConnexioInternet = function()
    {
        var constsc = document.getElementById('connectivitat_actual');
	    constsc.innerHTML = "Acc&eacutes Internet ("+this.obtenirConnectivitat()+")";
    	var consts = document.getElementById('hiHaInternet_sts');
    	var consis = document.getElementById('hiHaInternet_sis');
    	if(navigator.connection.type == Connection.NONE)
    	{
    		this.hiHaInternet_err = ESTAT_ERROR;
    		consts.src = "./img/icona_incorrecte.png";
    		consis.innerHTML = "NO";
    	} else {
       		this.hiHaInternet_err = ESTAT_CORRECTE;
    		consts.src = "./img/icona_correcte.png";
    		consis.innerHTML = "SI";
    	}
    };
    
    
}

    /**
     * Classe Servidor
     */
    function Servidor() {
    	
    	// Atributs

    	this.nom = SRV_NOM;	// Nom del servidor remot
     	this.url = SRV_URL;	// URL de connexio al servidor remot per al webservice
     	this.wsNom = SRV_WS_NOM;	// Nom del servei per al webservice
     	this.ns = SRV_WS_NS;	// 
     	this.estat = ESTAT_INDETERMINAT;	// Control de l'estat del servidor
     	
     	
     	// Metodes getters i setters
     	this.getNom = function() {
     		return this.nom;
     	};
     	
     	this.getUrl = function() {
     		return this.url;
     	};

     	this.getWsNom = function() {
     		return this.wsNom;
     	};
     	
     	this.getNs = function() {
     		return this.ns;
     	};
     	
     	this.getEstat = function() {
     		return this.estat;
     	};
     	

     	this.setNom = function(nom) {
     		this.nom = nom;
     	};
     	
     	this.setUrl = function(url) {
     		this.url = url;
     	};

     	this.setWsNom = function(wsnom) {
     		this.wsNom = wsnom;
     	};
     	
     	this.setNs = function(ns) {
     		this.ns = ns;
     	};
     	
     	this.setEstat = function(estat) {
     		this.estat = estat;
     	};
     	
    }
    

    /**
     * Classe Enviament
     */
    function Enviament() {
    	
    	// Atributs
    	
     	this.id = 0;
    	this.estat = ESTAT_INDETERMINAT;	// Estat de l'enviament
     	this.interval = ENV_TEMPS_MS_EXECUCIO		// Enviament programat cada 15 segons
     	this.servidor = new Servidor();
     	
     	
     	// Metodes getters i setters
     	this.getId = function() {
     		return this.id;
     	};
     	
     	this.getEstat = function() {
     		return this.estat;
     	};
     	
     	this.getInterval = function() {
     		return this.interval;
     	};
     	
     	this.getServidor = function() {
     		return this.servidor;
     	};
     	
     	this.setId = function(id) {
     		this.id = id;
     	};
     	
     	this.setEstat = function(estat) {
     		this.estat = estat;
     	};
     	
     	this.setInterval = function(interval) {
     		this.interval = interval;
     	};
     	
     	this.setServidor = function(servidor) {
     		this.servidor = servidor;
     	};
     	
    }
